Subject: Re: [PATCH mlx5-next 1/2] net/mlx5: Add new timestamp mode bits

From: Leon Romanovsky <[email-masked]>
Date: Wed, 10 Feb 2021 10:01:36 +0200

On Tue, Feb 09, 2021 at 11:52:54AM -0800, Jakub Kicinski wrote:
> On Tue, 9 Feb 2021 21:14:24 +0200 Leon Romanovsky wrote:
> > On Tue, Feb 09, 2021 at 10:28:25AM -0800, Jakub Kicinski wrote:
> > > On Tue,  9 Feb 2021 15:11:06 +0200 Leon Romanovsky wrote:
> > > You also need to CC Richard.
> >
> > We are not talking about PTP, but about specific to RDMA timestamp mechanism
> > which is added to the CQE (completion queue entry) per-user request when
> > he/she creates CQ (completion queue). User has an option to choose the format
> > of it for every QP/RQ/SQ.
>
> I see. Perhaps Richard won't be interested then but best to give him
> a chance.
>
> Not directly related to series at hand but how is the clock synchronized
> between system and device for the real time option?

When device works in real time mode, driver can skip cycles to ns translation
it does today in order to provide recv/sent SKB NS TS to the stack. Real time
mode does not require any changes above driver level and the synchronization
to system clock will remain as is today. The mlx5e soon to support this mode.

This series is needed to keep RDMA compatibility and fail QP creation for wrong mode.

Thanks